// 08MDIScribbleView.cpp : CMy08MDIScribbleView 類別的實作
//

#include "stdafx.h"
#include "08MDIScribble.h"

#include "08MDIScribbleDoc.h"
#include "08MDIScribbleView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMy08MDIScribbleView

IMPLEMENT_DYNCREATE(CMy08MDIScribbleView, CScrollView)

BEGIN_MESSAGE_MAP(CMy08MDIScribbleView, CScrollView)
	// 標準列印命令
	ON_COMMAND(ID_FILE_PRINT, CScrollView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CScrollView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CScrollView::OnFilePrintPreview)
END_MESSAGE_MAP()

// CMy08MDIScribbleView 建構/解構

CMy08MDIScribbleView::CMy08MDIScribbleView()
{
	// TODO: 在此處加入建構程式碼

}

CMy08MDIScribbleView::~CMy08MDIScribbleView()
{
}

BOOL CMy08MDIScribbleView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: 經由修改 CREATESTRUCT cs 達到修改視窗類別或樣式的目的

	return CScrollView::PreCreateWindow(cs);
}

// CMy08MDIScribbleView 描繪

void CMy08MDIScribbleView::OnDraw(CDC* pDC)
{
	CMy08MDIScribbleDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: 在此加入原生資料的繪製程式碼
    pDoc->draw(pDC);
}

void CMy08MDIScribbleView::OnInitialUpdate()
{
	CScrollView::OnInitialUpdate();
	CSize sizeTotal;
	// TODO: 計算此檢視的總大小
	sizeTotal.cx = sizeTotal.cy = 100;
	SetScrollSizes(MM_TEXT, sizeTotal);
}


// CMy08MDIScribbleView 列印

BOOL CMy08MDIScribbleView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// 預設的準備
	return DoPreparePrinting(pInfo);
}

void CMy08MDIScribbleView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: 列印前加入額外的初始設定
}

void CMy08MDIScribbleView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: 列印後加入清除
}


// CMy08MDIScribbleView 診斷

#ifdef _DEBUG
void CMy08MDIScribbleView::AssertValid() const
{
	CScrollView::AssertValid();
}

void CMy08MDIScribbleView::Dump(CDumpContext& dc) const
{
	CScrollView::Dump(dc);
}

CMy08MDIScribbleDoc* CMy08MDIScribbleView::GetDocument() const // 非偵錯版本是內嵌
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMy08MDIScribbleDoc)));
	return (CMy08MDIScribbleDoc*)m_pDocument;
}
#endif //_DEBUG


// CMy08MDIScribbleView 訊息處理常式
